package com.care.demo.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 字典表实体类
 *
 * @author little
 * @since 2021-01-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("RIMS_DICTIONARIES")
@ApiModel(value = "RimsDictionaries对象")
public class RimsDictionaries implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "父级ID")
    @TableField("PID")
    private Long pid;

    @ApiModelProperty(value = "字典名称")
    @TableField("DICTIONARIES_NAME")
    private String dictionariesName;

    @ApiModelProperty(value = "选项名称")
    @TableField("DIC_NAME")
    private String dicName;

    @ApiModelProperty(value = "选项代码")
    @TableField("DIC_CODE")
    private String dicCode;

    @ApiModelProperty(value = "排序字段")
    @TableField("DIC_SORT")
    private Integer dicSort;

    @ApiModelProperty(value = "说明")
    @TableField("DIC_DESCRIBE")
    private String dicDescribe;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("MODIFY_TIME")
    private LocalDateTime modifyTime;

    /**
     * @TableLogic 逻辑删除注解
     */
    @TableLogic
    @ApiModelProperty(value = "是否删除 0否 1是")
    @TableField("DELETED")
    private int deleted;

    @ApiModelProperty(value = "启用/停用 0 启用 1停用")
    @TableField("ENABLE")
    private Integer enable;

    @ApiModelProperty(value = "字典对象子级集合")
    @TableField(exist = false)
    private List<RimsDictionaries> rimsDictionariesList;
}
