package com.care.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.care.demo.entity.RimsDictionaries;
import com.care.common.util.PageUtil;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @author nhc
 * @version 1.0
 * @description 字典表DAO层接口
 * @date 2021/02/08/19:41
 */
public interface RimsDictionariesMapper extends BaseMapper<RimsDictionaries> {


    /**
     * 多条件分页查询
     * @param dictionaries 字典对象用来承载搜索条件
     * @param pageUtil 分页工具对象
     * @return 符合搜索条件的字典集合
     */
    List<RimsDictionaries> selectDictionariesByPage(
            @Param("dictionaries") RimsDictionaries dictionaries,
            @Param("pageUtil") PageUtil<RimsDictionaries> pageUtil);


    /**
     * 多条件查询总记录数
     * @param dictionaries 字典对象用来承载搜索条件
     * @return 返回多条件查询总记录数
     */
    Integer selectDictionariesByCount(RimsDictionaries dictionaries);


    /**
     * 根据传入的条件查询 数据总数
     * @param dictionaries 字典对象用来承载搜索条件
     * @return 返回查重数量不重复返回0
     */
    Integer selectDictionaRepetitionCount(RimsDictionaries dictionaries);

}
